---
title: PAN Authentication
description: This api is for authentication of PAN Number.
---

This api is for authentication of PAN Number. We have to pass pan number,name and dob in request and it will give us success response if the pan card number is valid

## POST

```
https://kraken.airpay.co.in/airpay/ms/baas/api/pan-verification
```

## Header

| Field | Type | Description |
| --- | --- | --- |
| affiliate | Text | Will be provided by Airpay (required) |
| checksum | Text | $string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>); (required) |
| api-key | Text | Will be provided by airpay ( required) |
| processor-key | Text | Will be provided by airpay ( required) |
| live | Text | For live data pass Y or leave it blank |

## Parameter

| Field      | Type | Required | Description                                                 |
| ---------- | ---- | -------- | ----------------------------------------------------------- |
| pan        | Text | Yes      | PAN number of the customer (length 11)                      |
| name       | Text | Yes      | Name of the customer (length 50)                            |
| dob        | Text | Yes      | Date of birth of the customer in `d-m-Y` format (length 10) |
| fathername | Text | No       | Father's name of the customer (length 50)                   |


## Request-Example: 
```
curl --location --request POST https://kraken.airpay.co.in/airpay/ms/baas/api/pan-verification' \
--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'live: Y' \
--header 'Content-Type: application/json' \
--data-raw '{
  "pan": "BPTPJ4887P",
  "name":"KRISHNAKUMAR",
  "dob":"26/05/2002",
  "fathername":""
}'
```

## Success 200

| Field | Type | Description |
| --- | --- | --- |
| status | Numeric | 400- fail,200-success(length 3, required) |
| message | text | success, fail |
| data | Text | { "name": "Y","Aadhaar Seeding": "Aadhaar Seeding is successful","Pan Status": "Existing and Valid","DOB": "Y"} |

## Success-Response:

```
{
    "status": "200",
    "message": "success",
    "data": {
        "name": "Y",
        "Aadhaar Seeding": "Aadhaar Seeding is successful",
        "Pan Status": "Existing and Valid",
        "DOB": "Y"
    }
}
```
## Error-Response:

```
{
    "status": "400",
    "message": "Failed",
    "data": ""
}
```